RDKit::MCSParameters Struct Reference

`#include <FMCS.h>`

## Public Member Functions

void | setMCSAtomTyperFromEnum (AtomComparator atomComp)
void | setMCSAtomTyperFromConstChar (const char *atomComp)
void | setMCSBondTyperFromEnum (BondComparator bondComp)
void | setMCSBondTyperFromConstChar (const char *bondComp)

## Public Attributes

bool | MaximizeBonds = true
double | Threshold = 1.0
unsigned | Timeout = -1
bool | Verbose = false
MCSAtomCompareParameters | AtomCompareParameters
MCSBondCompareParameters | BondCompareParameters
MCSAtomCompareFunction | AtomTyper = MCSAtomCompareElements
MCSBondCompareFunction | BondTyper = MCSBondCompareOrder
void * | CompareFunctionsUserData = nullptr
MCSProgressCallback | ProgressCallback
void * | ProgressCallbackUserData = nullptr
MCSFinalMatchCheckFunction | FinalMatchChecker
std::string | InitialSeed = ""

## Detailed Description

Definition at line 138 of file FMCS.h.

## Member Function Documentation

## setMCSAtomTyperFromConstChar()

void RDKit::MCSParameters::setMCSAtomTyperFromConstChar | ( | const char * | atomComp | ) |

## setMCSAtomTyperFromEnum()

void RDKit::MCSParameters::setMCSAtomTyperFromEnum | ( | AtomComparator | atomComp | ) |

## setMCSBondTyperFromConstChar()

void RDKit::MCSParameters::setMCSBondTyperFromConstChar | ( | const char * | bondComp | ) |

## setMCSBondTyperFromEnum()

void RDKit::MCSParameters::setMCSBondTyperFromEnum | ( | BondComparator | bondComp | ) |

## Member Data Documentation

## AtomCompareParameters

MCSAtomCompareParameters RDKit::MCSParameters::AtomCompareParameters

Definition at line 143 of file FMCS.h.

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

## AtomTyper

MCSAtomCompareFunction RDKit::MCSParameters::AtomTyper = MCSAtomCompareElements

Definition at line 145 of file FMCS.h.

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

## BondCompareParameters

MCSBondCompareParameters RDKit::MCSParameters::BondCompareParameters

Definition at line 144 of file FMCS.h.

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

## BondTyper

MCSBondCompareFunction RDKit::MCSParameters::BondTyper = MCSBondCompareOrder

Definition at line 146 of file FMCS.h.

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

## CompareFunctionsUserData

void* RDKit::MCSParameters::CompareFunctionsUserData = nullptr

Definition at line 147 of file FMCS.h.

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

## FinalMatchChecker

MCSFinalMatchCheckFunction RDKit::MCSParameters::FinalMatchChecker

Initial value:
=
nullptr

Definition at line 151 of file FMCS.h.

## InitialSeed

std::string RDKit::MCSParameters::InitialSeed = ""

Definition at line 153 of file FMCS.h.

## MaximizeBonds

bool RDKit::MCSParameters::MaximizeBonds = true

Definition at line 139 of file FMCS.h.

## ProgressCallback

MCSProgressCallback RDKit::MCSParameters::ProgressCallback

Initial value:
=
nullptr

Definition at line 148 of file FMCS.h.

## ProgressCallbackUserData

void* RDKit::MCSParameters::ProgressCallbackUserData = nullptr

Definition at line 150 of file FMCS.h.

## Threshold

double RDKit::MCSParameters::Threshold = 1.0

Definition at line 140 of file FMCS.h.

## Timeout

unsigned RDKit::MCSParameters::Timeout = -1

Definition at line 141 of file FMCS.h.

## Verbose

bool RDKit::MCSParameters::Verbose = false

Definition at line 142 of file FMCS.h.

The documentation for this struct was generated from the following file:

- FMCS.h